export interface GQLMessageList {
  messages: GQLMessage[];
  next?: string;
}

export interface GQLMessage {
  time: Date;
  content: string;
  username: string;
  userRealname: string;
  channelName: string;
  messageId: string;
}

export interface GQLWorkspace {
  name: string;
  icon: string;
  channels: GQLChannel[];
}

export interface GQLChannel {
  name: string;
  isPrivate: boolean;
}

export interface GQLPagination {
  after?: string;
  first?: number;
}

export interface GQLMessageFilter {
  channel?: string;
}

export enum GQLSortOrder {
  DateAsc,
  DateDesc
}

export interface GQLChatInfo {
  workspace: string;
  channel: string;
}
